Add filtering folder to top-level Makefile.am. Also add a runall script
to run all filtering tests.
Signed-off-by: Christian Babeux <christian.babeux@efficios.com>
Signed-off-by: David Goulet <dgoulet@efficios.com>
tests/kernel/Makefile
tests/tools/Makefile
tests/tools/streaming/Makefile
+ tests/tools/filtering/Makefile
tests/tools/health/Makefile
tests/ust/Makefile
tests/ust/nprocesses/Makefile
-SUBDIRS = streaming health
+SUBDIRS = streaming filtering health
AM_CFLAGS = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/tests -g -Wall
AM_LDFLAGS = -lurcu -lurcu-cds
gen_ust_events_LDADD = -llttng-ust
endif
-noinst_SCRIPTS = unsupported-ops invalid-filters valid-filters babelstats.pl
-EXTRA_DIST = unsupported-ops invalid-filters valid-filters babelstats.pl
+noinst_SCRIPTS = runall unsupported-ops invalid-filters valid-filters babelstats.pl
+EXTRA_DIST = runall unsupported-ops invalid-filters valid-filters babelstats.pl
--- /dev/null
+#!/bin/bash
+
+DIR=$(dirname $0)
+
+tests=( $DIR/unsupported-ops $DIR/invalid-filters $DIR/valid-filters )
+exit_code=0
+
+function start_tests ()
+{
+ for bin in ${tests[@]};
+ do
+ if [ ! -e $bin ]; then
+ echo -e "$bin not found, passing"
+ continue
+ fi
+
+ ./$bin
+ # Test must return 0 to pass.
+ if [ $? -ne 0 ]; then
+ exit_code=1
+ break
+ fi
+ done
+}
+
+start_tests
+
+exit $exit_code
DIR=$(dirname $0)
tests=( $DIR/test_kernel_data_trace $DIR/test_sessions $DIR/test_ust_data_trace \
- $DIR/streaming/runall $DIR/health/runall )
+ $DIR/streaming/runall $DIR/health/runall $DIR/filtering/runall)
exit_code=0